## ros-noetic-srdfdom 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(srdfdom)

find_package(Boost REQUIRED)

find_package(console_bridge REQUIRED)
find_package(urdfdom_headers REQUIRED)

find_package(catkin REQUIRED COMPONENTS cmake_modules urdf)

find_package(TinyXML2 REQUIRED)

include_directories(
  include
  ${Boost_INCLUDE_DIR}
  ${TinyXML2_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${console_bridge_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  )

catkin_python_setup()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  DEPENDS TinyXML2 console_bridge urdfdom_headers
)

add_library(${PROJECT_NAME}
  src/model.cpp
  src/srdf_writer.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME} ${TinyXML2_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES} ${urdfdom_headers_LIBRARIES})


install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(PROGRAMS
  scripts/display_srdf
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/srdf_parser.test)

  add_definitions(-DTEST_RESOURCE_LOCATION="${CMAKE_SOURCE_DIR}/test/resources")
  execute_process(COMMAND bash -c "locale -a | grep -q ^nl_NL"
    RESULT_VARIABLE TEST_LOCALE
    OUTPUT_QUIET ERROR_QUIET)
  if (TEST_LOCALE)
    message(STATUS "Locale nl_NL not available. Locale test will not be meaningful.")
  endif()

  add_rostest_gtest(test_cpp test/srdf_parser_cpp.test test/test_parser.cpp)
  target_link_libraries(test_cpp ${catkin_LIBRARIES} ${PROJECT_NAME})
endif()

## ros-noetic-srdfdom 0.6.3

=== debian/changelog ===
ros-noetic-srdfdom (0.6.3-1buster) buster; urgency=high

  * Drop -std=c++11 (#99 <https://github.com/ros-planning/srdfdom/issues/99>)
  * Introduce ``<disable_default_collisions>`` and ``<enable_collisions>`` tags (#97 <https://github.com/ros-planning/srdfdom/issues/97>)
    
      * Extend SRDF syntax to allow disabling of collisions for all pairs involving a specific link: ``<disable_default_collisions link="link_name"/>``
      * Individual pairs can be re-enabled like this: ``<enable_collisions link1="link1_name" link2="link2_name" reason="optional-reason"/>``
      * The old behavior of disabling individual pairs is possible as well: ``<disable_collisions link1="link1_name" link2="link2_name" reason="optional-reason"/>``
    
  * Contributors: Robert Haschke, Jochen Sprickerhof

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-srdfdom (0.6.2-1buster) buster; urgency=high

  * [bugfix] Correctly return success in SRDFWriter::writeSRDF().
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 08 Sep 2020 22:00:00 -0000

ros-noetic-srdfdom (0.6.1-1buster) buster; urgency=high

  * [bugfix] SRDFWriter: Correctly populate XML document
  * [bugfix] SRDFWriter: Use locale independent conversion from double to string (#67 <https://github.com/ros-planning/srdfdom/issues/67>)
  * [maint]  Silence cmake warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 05 Sep 2020 22:00:00 -0000

ros-noetic-srdfdom (0.6.0-1buster) buster; urgency=high

  * [maint] Switch from TinyXML to TinyXML2 (#60 <https://github.com/ros-planning/srdfdom/issues/60>)
  * [maint] add soname to library (#63 <https://github.com/ros-planning/srdfdom/issues/63>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-srdfdom (0.5.2-1buster) buster; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-srdfdom (0.5.0-1buster) buster; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Apr 2018 22:00:00 -0000

ros-noetic-srdfdom (0.4.2-1buster) buster; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)
  * [enhancement] cleanup urdfdom compatibility (#27 <https://github.com/ros-planning/srdfdom/issues/27>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, Robert Haschke, Victor Matare

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 29 Jan 2017 23:00:00 -0000

ros-noetic-srdfdom (0.4.1-1buster) buster; urgency=high

  * [fix][system] Build failure for Ubuntu Wily and Debian Jesie (urdfdom compatibility #25 <https://github.com/ros-planning/srdfdom/issues/25>)
    * test for existence of urdf typedef
    * if not existing, activate compatibility header
  * Contributors: Michael Goerner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 21 Sep 2016 22:00:00 -0000

ros-noetic-srdfdom (0.4.0-1buster) buster; urgency=high

  * [fix] Define shared_ptr typedef (adjusting to the recent change in urdfdom) #21 <https://github.com/ros-planning/srdfdom/issues/21>
  * Contributors: Dave Coleman, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Sep 2016 22:00:00 -0000

ros-noetic-srdfdom (0.3.2-1buster) buster; urgency=high

  * [feat] Move SRDF-specific commands from moveit package #14 <https://github.com/ros-planning/srdfdom/issues/14>
  * [sys] remove ROS-dependent logging.
  * [sys] Much cleanup in package.xml. #12 <https://github.com/ros-planning/srdfdom/issues/12> pkg-config is no longer used after https://github.com/ros-planning/srdfdom/commit/19b23e5900e9c179089e99caae52023f95d2fec8#diff-af3b638bc2a3e6c650974192a53c7291
  * Contributors: Dave Coleman, Sarah Elliott, Robert Haschke, Isaac I.Y. Saito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 24 Aug 2016 22:00:00 -0000

ros-noetic-srdfdom (0.3.1-1buster) buster; urgency=high

  * Change logError to Warn if collision link missing #10 <https://github.com/ros-planning/srdfdom/issues/10> Since MoveIt continues to load anyway, it makes sense to change the unknown collision link pairs ROS Error to a ROS Warning. Everything continues to work if a specified set of collision-link pairs is missing.
  * Contributors: Dave Coleman, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 31 Jul 2016 22:00:00 -0000

ros-noetic-srdfdom (0.3.0-1buster) buster; urgency=high


=== debian/control ===
Source: ros-noetic-srdfdom
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, libtinyxml2-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-rostest, ros-noetic-urdf
Homepage: http://ros.org/wiki/srdfdom
Standards-Version: 3.9.2

Package: ros-noetic-srdfdom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libtinyxml2-dev, ros-noetic-urdf, ros-noetic-urdfdom-py
Description: Parser for Semantic Robot Description Format (SRDF).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-srdfdom//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-srdfdom 0.6.4

=== debian/changelog ===
ros-noetic-srdfdom (0.6.4-1focal) focal; urgency=high

  * Allow generic joint properties (#109 <https://github.com/ros-planning/srdfdom/issues/109>, #111 <https://github.com/ros-planning/srdfdom/issues/111>)
  * Contributors: Scott Chow, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-srdfdom (0.6.3-1focal) focal; urgency=high

  * Drop -std=c++11 (#99 <https://github.com/ros-planning/srdfdom/issues/99>)
  * Introduce ``<disable_default_collisions>`` and ``<enable_collisions>`` tags (#97 <https://github.com/ros-planning/srdfdom/issues/97>)
    
      * Extend SRDF syntax to allow disabling of collisions for all pairs involving a specific link: ``<disable_default_collisions link="link_name"/>``
      * Individual pairs can be re-enabled like this: ``<enable_collisions link1="link1_name" link2="link2_name" reason="optional-reason"/>``
      * The old behavior of disabling individual pairs is possible as well: ``<disable_collisions link1="link1_name" link2="link2_name" reason="optional-reason"/>``
    
  * Contributors: Robert Haschke, Jochen Sprickerhof

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-srdfdom (0.6.2-1focal) focal; urgency=high

  * [bugfix] Correctly return success in SRDFWriter::writeSRDF().
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 08 Sep 2020 22:00:00 -0000

ros-noetic-srdfdom (0.6.1-1focal) focal; urgency=high

  * [bugfix] SRDFWriter: Correctly populate XML document
  * [bugfix] SRDFWriter: Use locale independent conversion from double to string (#67 <https://github.com/ros-planning/srdfdom/issues/67>)
  * [maint]  Silence cmake warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 05 Sep 2020 22:00:00 -0000

ros-noetic-srdfdom (0.6.0-1focal) focal; urgency=high

  * [maint] Switch from TinyXML to TinyXML2 (#60 <https://github.com/ros-planning/srdfdom/issues/60>)
  * [maint] add soname to library (#63 <https://github.com/ros-planning/srdfdom/issues/63>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-srdfdom (0.5.2-1focal) focal; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-srdfdom (0.5.0-1focal) focal; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Apr 2018 22:00:00 -0000

ros-noetic-srdfdom (0.4.2-1focal) focal; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)
  * [enhancement] cleanup urdfdom compatibility (#27 <https://github.com/ros-planning/srdfdom/issues/27>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, Robert Haschke, Victor Matare

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 29 Jan 2017 23:00:00 -0000

ros-noetic-srdfdom (0.4.1-1focal) focal; urgency=high

  * [fix][system] Build failure for Ubuntu Wily and Debian Jesie (urdfdom compatibility #25 <https://github.com/ros-planning/srdfdom/issues/25>)
    * test for existence of urdf typedef
    * if not existing, activate compatibility header
  * Contributors: Michael Goerner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 21 Sep 2016 22:00:00 -0000

ros-noetic-srdfdom (0.4.0-1focal) focal; urgency=high

  * [fix] Define shared_ptr typedef (adjusting to the recent change in urdfdom) #21 <https://github.com/ros-planning/srdfdom/issues/21>
  * Contributors: Dave Coleman, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Sep 2016 22:00:00 -0000

ros-noetic-srdfdom (0.3.2-1focal) focal; urgency=high

  * [feat] Move SRDF-specific commands from moveit package #14 <https://github.com/ros-planning/srdfdom/issues/14>
  * [sys] remove ROS-dependent logging.
  * [sys] Much cleanup in package.xml. #12 <https://github.com/ros-planning/srdfdom/issues/12> pkg-config is no longer used after https://github.com/ros-planning/srdfdom/commit/19b23e5900e9c179089e99caae52023f95d2fec8#diff-af3b638bc2a3e6c650974192a53c7291
  * Contributors: Dave Coleman, Sarah Elliott, Robert Haschke, Isaac I.Y. Saito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 24 Aug 2016 22:00:00 -0000

ros-noetic-srdfdom (0.3.1-1focal) focal; urgency=high



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, libtinyxml2-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-rostest, ros-noetic-urdf
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, libtinyxml2-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-rostest <!nocheck>, ros-noetic-urdf
 Homepage: http://ros.org/wiki/srdfdom
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
